## org.openni
Enum SensorType

    java.lang.Object
      java.lang.Enum<SensorType>
          org.openni.SensorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SensorType>

    public enum SensorType

extends java.lang.Enum<SensorType>

Provides string names values for all sensors type codes.

Enum Constant Summary
`COLOR`
`DEPTH`
`IR`

Method Summary
`static SensorType` `fromNative(int value)`
`int` `toNative()`
`static SensorType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SensorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IR

    public static final SensorType IR

### COLOR

    public static final SensorType COLOR

### DEPTH

    public static final SensorType DEPTH

Method Detail

### values

    public static SensorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SensorType c : SensorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SensorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toNative

    public int toNative()

### fromNative

    public static SensorType fromNative(int value)